using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class JobSeekers_jsMenu : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string pageCall=this.NamingContainer.Page.Title;        
        HyperLink hyperLink  ;
        Literal literal  ;
        switch(pageCall)
        {
            case "::My Account":
            case "::My Resumes":
            case "::My Cover Letters":
            case "::Change Password":
            case "::Update Login Information":            
                hyperLink = new HyperLink();
                hyperLink.Text = "Resume Manager";
                hyperLink.NavigateUrl = "resumes.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Cover Letter Manager";
                hyperLink.NavigateUrl = "coverletters.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Update Account";
                hyperLink.NavigateUrl = "register.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Change Password";
                hyperLink.NavigateUrl = "changepassword.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Logout";
                hyperLink.NavigateUrl = "logout.aspx";
                this.panelMenu.Controls.Add(hyperLink);                
                break;                
            case "::Login":
            case "::New Registration":
            case "::Forgot Password":
                hyperLink = new HyperLink();
                hyperLink.Text = "New Registration";
                hyperLink.NavigateUrl = "register.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Forgot Password";
                hyperLink.NavigateUrl = "forgotpassword.aspx";
                this.panelMenu.Controls.Add(hyperLink); 
                break;
            case "::Search for Jobs":
            case "::Search job by Alphabet":
            case "::Search job by Location":
            case "::Search job by Company":
            case "::Search job by Category":   
            case "::Job Result":
            case "::Job Details":       
                hyperLink = new HyperLink();
                hyperLink.Text = "Search by Location";
                hyperLink.NavigateUrl = "location.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Search by Category";
                hyperLink.NavigateUrl = "category.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Search by Company";
                hyperLink.NavigateUrl = "company.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Search by Alphabet";
                hyperLink.NavigateUrl = "alphabet.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                break;          
        }
        
    }
}
